/* Avoid to compile this file with -Aa option of cc for ANSI mode  */
/* There are some problems whith pstat system call                 */
/* Avoid to compile this file with gcc                             */
/* Thank to Mike Peterson (root@alchemy.chem.utoronto.ca) to clear */
/* gcc bugs */

#include "define.h"
#include "extern.h"

int PS_proc ( buf, num_proc, index )
struct pst_status *buf;
int num_proc, index;
{
	union pstun pstatbuf;
	pstatbuf.pst_status = buf;
	return ( pstat(PSTAT_PROC, pstatbuf, sizeof(struct pst_status),
		num_proc, index) );
}

void PS_dynam ( dinfo )
struct pst_dynamic *dinfo;
{
	union pstun pstatbuf;
	pstatbuf.pst_dynamic = dinfo;
	if ( pstat ( PSTAT_DYNAMIC, pstatbuf,  sizeof (struct pst_dynamic), NULL,NULL ) == -1 )
		( void )perror ( "Pstat: PSTAT_DYNAMIC" ),exit ( 1 );
}

void PS_stat ( sinfo )
struct pst_static *sinfo;
{
	union pstun pstatbuf;
	pstatbuf.pst_static = sinfo;
	if ( pstat ( PSTAT_STATIC, pstatbuf,  sizeof (struct pst_static), NULL, NULL) == -1)
		( void )perror ( "pstat: PSTAT_STATIC" ), exit ( 1 );
}

void PS_vm ( vinfo )
struct pst_vminfo *vinfo;
{
	union pstun pstatbuf;
	pstatbuf.pst_status = ( struct pst_status *)vinfo;
	if ( pstat ( PSTAT_VMINFO, pstatbuf, sizeof (struct pst_vminfo), NULL, NULL) == -1)
		( void )perror ( "Pstat: PSTAT_VMINFO" ), exit ( 1 );
}
