#include <stdio.h>
#include <regex.h>

static regex_t re;
static int active = 0;

int reg_match ( cmd )
char *cmd;
{
	if ( active  )
		return ( !regexec ( &re, cmd, ( size_t )0, NULL,0 ));
	else
		return ( 0 );
}

void reg_set ( search )
char *search;
{
	if ( search ) {
		
		if ( active ) {
			regfree( &re );
			active = 0;
		}

		if ( regcomp(&re, search, REG_EXTENDED|REG_ICASE|REG_NOSUB) == 0 ) 
			active = 1;
		return;
	}

	if ( active ) {
		regfree( &re );
		active = 0;
	}
}
