#include <sys/time.h>
#include "define.h"
#include "extern.h"

#define MAX_BUF 10

int compare_user_time( a, b )
struct pst_status *a,*b;
{
	long second_a = 0L +
		( user_time_include ? a->pst_utime : 0L ) + 
		( system_time_include ? a->pst_stime : 0L );

	long second_b = 0L +
		( user_time_include ? b->pst_utime : 0L ) +
		( system_time_include ? b->pst_stime : 0L );

	if ( invert )
		return ( second_a < second_b ? -1 : second_a == second_b ? 0 : 1 );
	else
		return ( second_a < second_b ? 1 : second_a == second_b ? 0 : -1 );
		
}

char  *visual_user_time ( index )
int index;
{
	static char buf[ MAX_BUF ];
	long second = 0L +
		( user_time_include ?   pbuf [ index ].pst_utime : 0L ) +
		( system_time_include ? pbuf [ index ].pst_stime : 0L );

	long minute = second / 60;

	second = second - ( minute * 60 );
	
	if ( minute > 9999L )
		sprintf ( buf ,"%5ld:%1ld",
			minute, second );
	else
		sprintf ( buf ,"%4ld:%2ld",
			minute, second );
		

	buf [ MAX_BUF - 1 ] = '\0';
	return ( buf );
}
