#include "define.h"
#include "extern.h"

int compare_size( a, b ) /* "size" is data + text + stack */
struct pst_status *a,*b;
{
	long size_a = a->pst_dsize + a->pst_tsize + a->pst_ssize;
	long size_b = b->pst_dsize + b->pst_tsize + b->pst_ssize;

	if ( invert )
		return ( size_a < size_b ? -1 : size_a == size_b ? 0 : 1 );
	else
		return ( size_a < size_b ? 1 : size_a == size_b ? 0 : -1 );
		
}

int compare_ressize( a, b ) /* "ressize" is resident set size */
struct pst_status *a,*b;
{
	long size_a = a->pst_rssize;
	long size_b = b->pst_rssize;

	if ( invert )
		return ( size_a < size_b ? -1 : size_a == size_b ? 0 : 1 );
	else
		return ( size_a < size_b ? 1 : size_a == size_b ? 0 : -1 );
		
}
